//항상 팝업레이어가 모든 요소보다 위에 존재하기 위해 z-index 를 10000으로(원래는 1)
var zIndexNo;
 
function func_codingsa_popup(tbl_name,wr_id, url, popup_no, w, h, margin_top, margin_left)
{	
	if($.cookie('codingsa_popup'+popup_no) != 'done')
	{		 
		 //default
		 if(!w) w = 500;
		 if(!h) h = 500;
		 if(!margin_top) margin_top = 20;
		 if(!margin_left) margin_left = 20;

		 $("body").append('<div class="codingsa_popupDiv'+popup_no+'"></div>');		 
		
		 var popup = $('.codingsa_popupDiv'+popup_no);
	    		 
		 zIndexNo = popup_no+1;	 
		 
		 //background
		 popup.append('<div class="popupBackground'+popup_no+'"></div>');		 
		 styles = 
		 {
		   'position' : 'absolute',
		   'top' : '0',
		   'left' : '0',
		   'width' : '100%',
		   'height' : '100%',		  
		   'opacity' : '.5',		  
		   'filter' : 'alpha(opacity=50)',
		   'background-color' : '#000'
		 }		 
		 //$('.popupBackground'+popup_no).css(styles);
		 
		 //contents wrapper
		 popup.append('<div class="popup_contents_wrapper'+popup_no+'" onclick="zindex_change('+popup_no+');"></div>');
		 var popup_contents_wrapper = $('.popup_contents_wrapper'+popup_no);		 
		 
		 popup_contents_wrapper.draggable();
		  
		 styles = 
		 {
		   'position' : 'absolute',
		   'top' : 20 + (popup_no*10) + margin_top + '%',
		   'left' :20+ (popup_no*10) + margin_left + '%',
		   'width' : w + 'px',
		   //'height' : h + 'px', 높이를 내용에 자동으로 맞추기 위해 주석처리
		   'z-index' : popup_no+10000,
		   'background' : '#fff',
		   'cursor' : 'move',
		   'font-family' : '"돋움","굴림","sans-serif"',
		   'border' : '1px solid #006666',
		   'display' : 'none'//일단 감추어두었다가 Ajax 성공시 fadeIn   
		 }		 
		 popup_contents_wrapper.css(styles);		 		 
				 
		 //title
		 popup_contents_wrapper.append('<div class="popup_title'+popup_no+'"></div>');
		 var popup_title = $('.popup_title'+popup_no);
		 
		 styles = 
		 {
		   'width' : w + 'px',
		   'height' : '2em',
		   'background' : '#669999',
		   'font-family' : '"돋움","굴림","sans-serif"',
		   'font-size' : '1em',
		   'font-weight' : 'bold',
		   'color' : '#fff',
		   'text-align' : 'center',
		   'padding-top' : '1em',
		   'display' : 'none'//공지팝업창에선 제목이 필요없을것 같아...
		 }		 
		 popup_title.css(styles);
		 
		 //contents
		 popup_contents_wrapper.append('<div class="popup_contents'+popup_no+'"></div>');
		 var popup_contents = $('.popup_contents'+popup_no);
		 
		 styles = 
		 {
		   'width' : w + 'px',
		   //'height' : h - 60 + 'px', 높이를 내용에 자동으로 맞추기 위해 주석처리
		   'background' : '#fff',
		   'font-family' : '"돋움","굴림","sans-serif"'
		 }
		 popup_contents.css(styles);
		 
		 //footer
		 popup_contents_wrapper.append('<div class="popup_footer'+popup_no+'"></div>');
		 var popup_footer = $('.popup_footer'+popup_no);
		 
		 styles = 
		 {
		   'float' : 'left',
		   'width' : w + 'px',
		   'height' : '2em',
		   'font-size' : '1em',
		   'background' : '#669999',		   
		   'cursor' : 'default'
		 }		 
		 popup_footer.css(styles);
		 
		 popup_footer.append('<div class="popup_checkdiv'+popup_no+'" popup_no="'+popup_no+'"><input type="checkbox" class="popup_checkbox">체크하면 하루동안 열리지 않습니다</div> <div class="popup_close'+popup_no+'">[닫기]</div>');
		 
		 var popup_checkdiv = $('.popup_checkdiv'+popup_no);
		 
		 styles = 
		 {
		   'float' : 'left',
		   'padding-top' : '7px',
		   'padding-left' : '10px',
		   'color' : '#ccc'
		 }		 
		 popup_checkdiv.css(styles);

		 var popup_checkbox = $('.popup_checkbox');
		 
		 styles = 
		 {
		   'vertical-align' : 'middle',
		   'margin' : '-3px',
		   'margin-right' : '10px'	   
		 }		 
		 popup_checkbox.css(styles);
		 
		 var popup_close = $('.popup_close'+popup_no);
		 
		 styles = 
		 {
		   'float' : 'right',
		   'padding-top' : '7px',
		   'padding-right' : '10px',
		   'cursor' : 'pointer',		   
		   'color' : '#ccc'
		 }		 
		 popup_close.css(styles);		
		 /*
		 $.ajax(url)
		.done(function() { alert("success"); })
		.fail(function() { alert("error"); })
		*/
		
		//Ajax
		$.ajax(
		{
		  type: "POST",
		  url: url,		  
		  data:{"tbl_name":tbl_name,"wr_id":wr_id},
		  dataType: "json"
		})
		.done(function(resultdata)//if success
		{			
			//popup_title.append(resultdata[0]["wr_subject"].slice(1,25)+"...");
			popup_title.append(resultdata[0]["wr_subject"]);
		    popup_contents.append(resultdata[0]["wr_content"].split('\r\n'));			  
		    popup.fadeIn();
			//popup_contents_wrapper.fadeIn(1000);
		})
		.fail(function() 
		{	//url 경로가 맞지 않거나 resultdata 가 없거나 json문법에 어긋날때 에러
			alert("popup error");		
		})
		;

		//윈도우를 모두 로드하고 나서 위치 재조정해야 계산됨
		 $(window).bind('load resize' , function()
		 {
			 if (popup_contents_wrapper.outerHeight() < $(document).height())
			 {
			  popup_contents_wrapper.css('margin-top', '-' + popup_contents_wrapper.outerHeight() / 2 + 'px');			 
			 }
			 else 
			 {
			  popup_contents_wrapper.css('top', '0px');
			 }
			 if (popup_contents_wrapper.outerWidth() < $(document).width())
			 {
			  popup_contents_wrapper.css('margin-left', '-' + popup_contents_wrapper.outerWidth() / 2 + 'px');
			 }
			 else
			 {
			  popup_contents_wrapper.css('left', '0px');
			 }
			  popup_contents_wrapper.fadeIn(1000);//위치까지 재조정 후 나타냄
		 });

		//close
	    popup_close.click(function () 
		{        
			popup.fadeOut(0, function () 
			{ 
				popup.remove(); 
			});
		});
	}
}


function zindex_change(popup_no)
{
 $('.popup_contents_wrapper'+popup_no).css("z-index",zIndexNo+10000);
 zIndexNo += 10000;
}

//cookie
$(".popup_checkbox").live("click", function()
{
 var popNo = $(this).parent("div").attr("popup_no");
 if($(this)[0].checked == true)//반드시 배열[0]으로 검사해야...
	{
		$.cookie('codingsa_popup'+popNo, 'done', {expires:1});
	}
else{
  if($.cookie('codingsa_popup'+popNo) == 'done')
	  {		
		$.cookie('codingsa_popup'+popNo, null);
	  }
	}
});